Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.web.tag
Class IntegerTagSupport

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.web.tag.AbstractInputTagSupport
                  |
                  +--com.bea.web.tag.IntegerTagSupport

public class IntegerTagSupport
extends AbstractInputTagSupport
implements java.io.Serializable

Provides the rendering logic for an HTML form field that accepts integer values only. In addition, each instance of this class uses an instance of `com.bea.web.validation.IntegerWord` to perform runtime validation of the value for this field. This class places an IntegerWord instance in application scope, i.e. accessible via the ServletContext object. The ServletContext is shared by all servlets in a Web application. Consequently, the controller servlet can access the IntegerWord to validate user input passed in the HTTP request for this form field.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`IntegerTagSupport()` Default constructor, all subclasses of `javax.servlet.jsp.tagext.TagSupport` are required to only define a public constructor with the same signature, and to call the superclass constructor.

Method Summary
`int` | `doStartTag()` Prints the tag to the JSP writer.
`java.lang.String` | `getMaxExclusive()`
`java.lang.String` | `getMaxInclusive()`
`java.lang.String` | `getMinExclusive()`
`java.lang.String` | `getMinInclusive()`
`void` | `release()` Resets the internal state of this instance.
`void` | `setMaxExclusive(java.lang.String str)`
`void` | `setMaxInclusive(java.lang.String str)`
`void` | `setMinExclusive(java.lang.String str)`
`void` | `setMinInclusive(java.lang.String str)`

Methods inherited from class com.bea.web.tag.AbstractInputTagSupport
`getAttrs, getDefault, getMaxlength, getName, getSize, isRequired, printError, setAttrs, setDefault, setMaxlength, setName, setRequired, setSize`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegerTagSupport

    public IntegerTagSupport()

  Default constructor, all subclasses of `javax.servlet.jsp.tagext.TagSupport` are required to only define a public constructor with the same signature, and to call the superclass constructor.

Method Detail

### getMinInclusive

    public final java.lang.String getMinInclusive()

### getMaxInclusive

    public final java.lang.String getMaxInclusive()

### getMinExclusive

    public final java.lang.String getMinExclusive()

### getMaxExclusive

    public final java.lang.String getMaxExclusive()

### setMinInclusive

    public final void setMinInclusive(java.lang.String str)

### setMaxInclusive

    public final void setMaxInclusive(java.lang.String str)

### setMinExclusive

    public final void setMinExclusive(java.lang.String str)

### setMaxExclusive

    public final void setMaxExclusive(java.lang.String str)

### doStartTag

    public int doStartTag()

  Prints the tag to the JSP writer.

  Returns:
    `javax.servlet.jsp.tagext.Tag.SKIP_BODY` to indicate to the tag handler to skip body evaluation.
  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Resets the internal state of this instance. This is called after this tag has rendered itself in the `doStartTag` method. This is needed because the tag handler will reuse this instance for every int tag on the page.

  Overrides:
    release in class AbstractInputTagSupport

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)